[sword-devel] Submitting a Patch against 1.60svn

Ben Morgan benpmorgan at gmail.com
Mon Oct 19 16:13:56 MST 2009

On Tue, Oct 20, 2009 at 10:02 AM, Nathan Anderson <nathan at andersonsplace.net
> wrote:

> Troy,
>        Your welcome for the patch.  ;-)
>        Well, I might be the _new_ guy; but I don't typically waste my time
> trying to patch something and return it up-stream if it isn't broken.  So I
> would say yes it is necessary.  ;-)
> What version of SWIG are you using? are you using the swig sword bindings
from SVN?
This works for me.

>        I can also answer your question about BPBible.  According to their
> instructions you need to use v1.5.11 of Sword with the current version of
> BPBible.  The change to the VerseTreeKey (which exposes this class),
> according to SVN, changed in Rev 2178 on July 20th, 2008 by scribe and this
> change is _AFTER_ version 1.5.11 was released.  So, BPBible would be broke
> with 1.6 and 1.6-svn.  ;-)
Were does it say this? It needs to be changed.
BPBible currently expects/uses SWORD 1.6.

God Bless,
Multitudes, multitudes,
   in the valley of decision!
For the day of the LORD is near
   in the valley of decision.

Giôên 3:14 (ESV)
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://www.crosswire.org/pipermail/sword-devel/attachments/20091020/860ec381/attachment.html>

More information about the sword-devel mailing list